Bug 1338060 - Cannot add local dictd source
Summary: Cannot add local dictd source
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-dictionary
Version: 24
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-21 10:40 UTC by Oleg Pykhalov
Modified: 2017-08-08 14:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 14:36:23 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 762589 0 None None None 2016-05-21 10:40:11 UTC

Description Oleg Pykhalov 2016-05-21 10:40:12 UTC
Description of problem:
Cannot add local dictd source

Version-Release number of selected component (if applicable):
gnome-dictionary-3.20.0-1.fc24.x86_64

How reproducible:
Trying to get the gnome-dictionary to use a local source, but the button to add dictionaries is greyed out. I can get to the menu which says "add dictionary source", and enter the hostname and everything, but it won't actually let me add it. Also, if I try to edit an existing dictionary source, nothing sticks. After I close the dialog box, when I reopen it the exact same settings are back.

Steps to Reproduce:
1. Open gnome-dictionary -> Open "Preferences".
2. Click plus button (add a new dictionary source).
3. Select "Transport" to dictionary server.
4. Change "Hostname" to host that serve dictd.service with dictionaries.
5. Cannot click Add, cannot reload list of avaible databases in "Dictionaries" tab.

Actual results:
** Message: Creating XDG config directory: /home/user1/.config/gnome-dictionary

(gnome-dictionary:2196): Gdict-CRITICAL **: gdict_database_chooser_get_context: assertion 'GDICT_IS_DATABASE_CHOOSER (chooser)' failed

(gnome-dictionary:2196): Gdict-CRITICAL **: gdict_database_chooser_set_context: assertion 'GDICT_IS_DATABASE_CHOOSER (chooser)' failed

** (gnome-dictionary:2196): WARNING **: Unable to load the window state file: No such file or directory

(gnome-dictionary:2196): Gtk-CRITICAL **: Unable to retrieve object 'description_entry' from class template for type 'GdictSourceDialog' while building a 'GdictSourceDialog'

(gnome-dictionary:2196): Gtk-CRITICAL **: gtk_combo_box_set_active: assertion 'GTK_IS_COMBO_BOX (combo_box)' failed

(gnome-dictionary:2196): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(gnome-dictionary:2196): GLib-GObject-CRITICAL **: g_signal_emit_by_name: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed

Comment 1 Fedora End Of Life 2017-07-25 20:51:04 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-08-08 14:36:23 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.